Bug 117938 - local variable used before set
Summary: local variable used before set
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-10 09:01 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-04-19 18:13:27 UTC


Attachments (Terms of Use)

Description d.binderman 2004-03-10 09:01:30 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package kdelibs-3.1.95-0.3

The compiler said

1.

kimageeffect.cpp(3718): warning #592: variable "low" is used before
its value is set

The source code is

    if(low.red == high.red){

Suggest init low before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2005-04-19 18:13:27 UTC
it's now fixed in kdelibs-3.3.1-2.12.FC3. thanks for your report.
it will be released by friday this week.


Note You need to log in before you can comment on or make changes to this bug.